Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
x509_ext.cpp File Reference
`#include <botan/x509_ext.h>`
`#include <botan/x509cert.h>`
`#include <botan/sha160.h>`
`#include <botan/der_enc.h>`
`#include <botan/ber_dec.h>`
`#include <botan/oids.h>`
`#include <botan/charset.h>`
`#include <botan/internal/bit_ops.h>`
`#include <algorithm>`
`#include <sstream>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::Cert_Extension

## Macros
#define | X509_EXTENSION(NAME, TYPE) if(oid == OIDS::lookup(NAME)) { return new Cert_Extension::TYPE(); }

## Macro Definition Documentation

#define X509_EXTENSION | ( |  | NAME,
|  |  | TYPE
| ) |  | if(oid == OIDS::lookup(NAME)) { return new Cert_Extension::TYPE(); }

## Variable Documentation

OID m_oid

Definition at line 682 of file x509_ext.cpp.

Referenced by Botan::Cert_Extension::Unknown_Critical_Extension::copy(), Botan::EC_Group::get_oid(), Botan::XMSS_Parameters::oid(), Botan::Cert_Extension::Unknown_Critical_Extension::oid_of(), and Botan::XMSS_Parameters::operator==().